Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class AbstractInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker

All Implemented Interfaces:
  Invoker

Direct Known Subclasses:
  LocalClientInvoker, MicroRemoteClientInvoker, ServerInvoker

    public abstract class AbstractInvoker

extends java.lang.Object
implements Invoker

AbstractInvoker is an abstract handler part that contains common methods between both client and server.

Version:
  $Revision: 2784 $
Author:
  Jeff Haynie, Tom Elrod

Nested Class Summary
`class` | `AbstractInvoker.CallbackLocatorHolder`

Field Summary
`protected ClassByteClassLoader` | `classbyteloader`
`protected java.util.Map` | `configuration`
`protected java.util.Map` | `localServerLocators`
`protected InvokerLocator` | `locator`
`protected static org.jboss.logging.Logger` | `log`
`protected java.lang.String` | `serializationType`
`protected javax.net.SocketFactory` | `socketFactory`
`protected boolean` | `socketFactoryCreatedFromSSLParameters`

Constructor Summary
`AbstractInvoker(InvokerLocator locator)`
`AbstractInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`java.lang.String` | `addClientLocator(java.lang.String sessionId, InvokerCallbackHandler callbackhandler, InvokerLocator locator)` Generates a listener id for the callbackhandler and callback server locator combination
`protected javax.net.SocketFactory` | `createSocketFactory(java.util.Map configuration)` If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.
`java.lang.ClassLoader` | `getClassLoader()`
`InvokerLocator` | `getClientLocator(java.lang.String listenerId)` Gets the client locator.
`java.util.List` | `getClientLocators(java.lang.String sessionId, InvokerCallbackHandler handler)`
`InvokerLocator` | `getLocator()` return the locator this Invoker represents
`java.lang.String` | `getSerializationType()`
`javax.net.SocketFactory` | `getSocketFactory()`
`static boolean` | `isCompleteSocketFactory(javax.net.SocketFactory sf)`
`boolean` | `isSocketFactoryCreatedFromSSLParameters()`
`static boolean` | `needsCustomSSLConfiguration(java.util.Map configuration)`
`void` | `setClassLoader(java.lang.ClassLoader classloader)` set the classloader to use internally
`void` | `setSerializationType(java.lang.String serializationType)`
`void` | `setSocketFactory(javax.net.SocketFactory socketFactory)`
`static javax.net.SocketFactory` | `wrapSocketFactory(javax.net.SocketFactory socketFactory, java.util.Map config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### classbyteloader

    protected ClassByteClassLoader classbyteloader

### locator

    protected InvokerLocator locator

### localServerLocators

    protected java.util.Map localServerLocators

### serializationType

    protected java.lang.String serializationType

### configuration

    protected java.util.Map configuration

### socketFactory

    protected javax.net.SocketFactory socketFactory

### socketFactoryCreatedFromSSLParameters

    protected boolean socketFactoryCreatedFromSSLParameters

Constructor Detail

### AbstractInvoker

    public AbstractInvoker(InvokerLocator locator)

### AbstractInvoker

    public AbstractInvoker(InvokerLocator locator,
                           java.util.Map configuration)

Method Detail

### getLocator

    public InvokerLocator getLocator()

  return the locator this Invoker represents

  Specified by:
    `getLocator` in interface `Invoker`
  Returns:

### addClientLocator

    public java.lang.String addClientLocator(java.lang.String sessionId,
                                             InvokerCallbackHandler callbackhandler,
                                             InvokerLocator locator)

  Generates a listener id for the callbackhandler and callback server locator combination

  Parameters:
    `sessionId` -
    `locator` -

### getClientLocator

    public InvokerLocator getClientLocator(java.lang.String listenerId)

  Gets the client locator. This locator will be used by the server side to make callbacks to the handler for this locator.

### getClientLocators

    public java.util.List getClientLocators(java.lang.String sessionId,
                                            InvokerCallbackHandler handler)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classloader)

  set the classloader to use internally

  Parameters:
    `classloader` -

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getSerializationType

    public java.lang.String getSerializationType()

### setSerializationType

    public void setSerializationType(java.lang.String serializationType)

### getSocketFactory

    public javax.net.SocketFactory getSocketFactory()

### setSocketFactory

    public void setSocketFactory(javax.net.SocketFactory socketFactory)

### isSocketFactoryCreatedFromSSLParameters

    public boolean isSocketFactoryCreatedFromSSLParameters()

### createSocketFactory

    protected javax.net.SocketFactory createSocketFactory(java.util.Map configuration)

  If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

### wrapSocketFactory

    public static javax.net.SocketFactory wrapSocketFactory(javax.net.SocketFactory socketFactory,
                                                            java.util.Map config)

### isCompleteSocketFactory

    public static boolean isCompleteSocketFactory(javax.net.SocketFactory sf)

### needsCustomSSLConfiguration

    public static boolean needsCustomSSLConfiguration(java.util.Map configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.